# uproot.source.futures.Future

Defined in uproot.source.futures on line 110.

class uproot.source.futures.Future(task, args)
  Parameters:

    - task (function) – The function to evaluate.

    - args (tuple) – Arguments for the function.

  Like Python 3 `concurrent.futures.Future` except that it has only the subset of the interface Uproot needs and is available in Python 2.

  The uproot.source.futures.ResourceFuture extends this class.

## result

Future.result(timeout=None)

  Waits until the task completes (with a `timeout`) and returns its result.

  If the task raises an exception in its background thread, this function raises that exception on the thread on which it is called.